QGIS Application - Bug report #10638
WFS GetFeature may be incomplete if layer reports estimated feature count
2014-06-19 02:44 AM - Marco Hugentobler

Status: Closed

Priority: High

Assignee: Marco Hugentobler

Category: QGIS Server

Affected QGIS version:2.2.0 Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 19041
Description

Hi René-Luc

layer->featureCount() sometimes returns an estimated feature count. In this case, the WFS server returns an incomplete reply (if called
without maxfeatures).
Is it possible to make QgsWFSServer::getFeature a bit more robust against this? E.g. using

while ( fit.nextFeature( feature ) && ( featureCounter < maxFeat || maxFeatures == -1))

History

#1 - 2014-06-20 03:41 AM - René-Luc ReLuc

- % Done changed from 0 to 90

- Target version set to Version 2.4

- Assignee changed from René-Luc ReLuc to Marco Hugentobler

- Status changed from Open to Feedback

- Category set to QGIS Server

Hi Marco,

Probably fixed by commit:9d90923a9b1e67d708dca96f0ea75¢c40257910a7
Can you testit ?

#2 - 2014-06-20 07:24 AM - Marco Hugentobler
- Status changed from Feedback to Closed

Works perfectly here. Thanks!
